#ifndef FIXED_HOOK_H
#define FIXED_HOOK_H

class Spring;

#include <string>
#include <vector>
#include "PhysicsElement.h"
#include "SpringAttachable.h"

using namespace std;

class FixedHook: public PhysicsElement, public SpringAttachable {
private:
   static int id;  
   CVector pos_t;     // current position at time t
   vector<Spring *> springs;
   
   FixedHook();
public:
   FixedHook(CVector position);
   CVector getPosition() const;
   void attachSpring(Spring *s);
   virtual string getDescription() const;
   virtual string getState() const;
   virtual void computeNextState(double delta_t, MyWorld * world){}
   virtual void updateState(){}
};
#endif