#ifndef SPRING_H
#define SPRING_H

class SpringAttachable;
class MyWorld;
class CVector;

#include <string>
#include "PhysicsElement.h"
#include "SpringAttachable.h"

class Spring: public PhysicsElement {
private:
   static int id;  // Spring identification
   const double restLength;
   const double stiffness;
   SpringAttachable * a_end, *b_end;
   Spring();   
public:
   Spring(double restLength, double stiffness);
   void attachEnd (SpringAttachable *sa);
   CVector getAendPosition() const;
   CVector getBendPosition() const;
   CVector getForce(const SpringAttachable * sa) const;
   
   void computeNextState(double delta_t, MyWorld *w){}
   void updateState(){}

   virtual string getDescription() const;
   virtual string getState() const;
};
#endif